document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_13300
--- +++ @@ -8,7 +8,7 @@ --fail \ --retry 3 \ --output /tmp/geckodriver_linux64.tar.gz \ - https://github.com/mozilla/geckodriver/releases/download/v0.24.0/geckodriver-v0.24.0-linux64.tar.gz + https://github.com/mozilla/geckodriver/releases/download/v0.27.0/geckodriver-v0.27.0-linux64.tar.gz ...
bash
d_bash_13301
--- +++ @@ -16,10 +16,11 @@ curl -LSso ~/.vim/autoload/pathogen.vim https://tpo.pe/pathogen.vim # GET ALL THE PLUGINS! - git clone https://github.com/easymotion/vim-easymotion ~/.vim/bundle/vim-easymotion.vim - git clone git://github.com/tpope/vim-surround ~/.vim/bundle/vim-surround.git - git...
bash
d_bash_13302
--- +++ @@ -12,7 +12,7 @@ export RUN_UNIT_TESTS=false export RUN_FUNCTIONAL_TESTS=false export RUN_FUZZ_TESTS=true -export FUZZ_TESTS_CONFIG="--valgrind" +export FUZZ_TESTS_CONFIG="--exclude integer,parse_iso8601 --valgrind" export GOAL="install" export BITCOIN_CONFIG="--enable-fuzz --with-sanitizers=fuzzer CC=c...
bash
d_bash_13303
--- +++ @@ -17,13 +17,14 @@ for f in bootstrap.sh Makefile; do cp $f $f~ - replace PYTHON python2.5 $f + replace PYTHON $1 $f replace BASEDIR $PWD $f done for f in stuff/Makefile; do cp $f $f~ - replace BASEDIR $PWD/stuff $f + replace BASEDIR $PWD $f + replace PYTHON $1 $f done for f in stuff...
bash
d_bash_13304
--- +++ @@ -2,8 +2,8 @@ alias ...='cd ../../' alias ....='cd ../../..' alias bash='SHELL=bash bash' -alias colors="set | egrep '^COLOR_\w*' | sort " # lists all the colors alias dot='cd $DOTFILES' +alias dotfile_colors="set | egrep '^COLOR_\w*' | sort " # lists all the colors alias ga='git add -p' alias gb='git...
bash
d_bash_13305
--- +++ @@ -3,7 +3,7 @@ # Install our cloud-init and heat-cfn tools zypper addrepo -f obs://Cloud:OpenStack:Juno/openSUSE_13.2 Juno -zypper -n --no-gpg-checks install cloud-init python-heat-cfntools +zypper -n --no-gpg-checks install cloud-init python-heat-cfntools e2fsprogs for SERVICE in cloud-config cloud-f...
bash
d_bash_13306
--- +++ @@ -9,5 +9,6 @@ wmname LG3D blueman-applet& $HOME/dotfiles/bin/scripts/status.sh& +xflux -l 37.2 -g -3.61 exec dbus-launch `dwm 2> /tmp/dwm.log`
bash
d_bash_13307
--- +++ @@ -19,3 +19,5 @@ /opt/stack/tripleo-incubator/scripts/setup-network sudo ip link add $PUBLIC_INTERFACE type dummy + +sudo init-neutron-ovs
bash
d_bash_13308
--- +++ @@ -4,7 +4,15 @@ if [ "$VERSION" = "" ]; then echo 'Wrong version format. Package will not be created.' - exit + exit 1 +fi + +AVERSION=`grep AssemblyVersion AssemblyInfo.cs | perl -npe 's/^.*?\"//;s/\".*$//'` + +if [ "$VERSION" != "$AVERSION ] +then + echo "Tag doesn't match assembly version....
bash
d_bash_13309
--- +++ @@ -1,6 +1,6 @@ #!/usr/bin/env bash -GIT_BRANCH=$(git rev-parse --abbrev-ref HEAD) +GIT_BRANCH=$(git symbolic-ref HEAD | sed -e "s/^refs\/heads\///") if [ -z ${TASK} ]; then echo "No task provided"
bash
d_bash_13310
--- +++ @@ -11,7 +11,7 @@ exit 1 fi -if [ $CC -eq "gcc" ]; then +if [ "$CC" == "gcc" ]; then lcov --compat-libtool --directory . --capture --output-file coverage.info coveralls-lcov coverage.info fi
bash
d_bash_13311
--- +++ @@ -8,29 +8,4 @@ export MESOS_DOMAIN="$($FAULT_DOMAIN_SCRIPT)" fi -# Helper to configure `networkd` on CoreOS to ignore all DC/OS overlay interfaces. -function coreos_networkd_config() { - network_config="/etc/systemd/network/dcos.network" - sudo tee $network_config > /dev/null<<'EOF' - [Match] - Type=...
bash
d_bash_13312
--- +++ @@ -26,7 +26,7 @@ if [ -d "$plugin_path" ]; then display_error "Plugin named $plugin_name already added" - exit 1 + exit 0 else if ! git clone "$source_url" "$plugin_path"; then exit 1
bash
d_bash_13313
--- +++ @@ -2,7 +2,7 @@ ENSDIR="${ENSDIR:-$PWD}" -export PERL5LIB=$ENSDIR/bioperl-live:$ENSDIR/ensembl/modules:$ENSDIR/ensembl-variation/modules:$ENSDIR/ensembl-test/modules:$ENSDIR/ensembl-io/modules:$ENSDIR/ensembl-orm/modules:$ENSDIR/ensembl-webcode/modules:$ENSDIR/ensembl-webcode/conf:$PWD/modules +export PE...
bash
d_bash_13314
--- +++ @@ -5,7 +5,7 @@ install_ponyc(){ echo -e "\033[0;32mInstalling latest ponyc release\033[0m" - sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys "8756 C4F7 65C9 AC3C B6B8 5D62 379C E192 D401 AB61" + sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys "D401AB61 D...
bash
d_bash_13315
--- +++ @@ -3,6 +3,8 @@ set -e GENEREATE_CREDO_CHECK="lib/my_first_credo_check.ex" + +mix compile --force --warnings-as-errors mix credo --mute-exit-status mix credo list --mute-exit-status
bash
d_bash_13316
--- +++ @@ -9,7 +9,4 @@ echo "Cloning glsl-optimizer" git clone https://github.com/tokyovigilante/glsl-optimizer --depth 1 -echo "Cloning PMJSON" -git clone https://github.com/postmates/PMJSON - echo "Ready to build CesiumKit"
bash
d_bash_13317
--- +++ @@ -6,11 +6,12 @@ # consider symlinking those scripts into ~/usr/bin # to keep the $PATH shorter so less searching is required. -# Locally compiled (without sudo). -add_to_path $HOME/usr/bin - # Homebrew. source_rc_files $shrc_dir/homebrew.sh + +# Locally compiled, generated, etc. +# Put this after home...
bash
d_bash_13318
--- +++ @@ -10,7 +10,9 @@ eval "$(aws ecr get-login --region us-east-1)" # Get new version +GIT_COMMIT_HASH=`git rev-parse --short HEAD` SERVICE_VERSION=`node -e 'console.log(require("./package.json").version)'` +SERVICE_VERSION="$SERVICE_VERSION-$GIT_COMMIT_HASH" # Export version export SERVICE_VERSION=$SER...
bash
d_bash_13319
--- +++ @@ -8,15 +8,17 @@ eval "$(ssh-agent -s)" ssh-add deploy_rsa + WORKER_IP="$(dig +short myip.opendns.com @resolver1.opendns.com)" + # Temporarily copy files to second server DEPLOY_FOLDER2=${TRAVIS_BRANCH} DEPLOY_SERVER2=travis@cognosis.mit.edu - echo "Copying binaries to ${DEPL...
bash
d_bash_13320
--- +++ @@ -20,9 +20,9 @@ cd libpatlms ./autogen.sh ./configure --prefix=${PATLMS_INSTALL_DIR} -make +make -j 3 make install -make check +make -j 3 check # build server cd ${START_DIR}/server @@ -30,7 +30,7 @@ ./configure --prefix=${SERVER_INSTALL_DIR} make -j 3 make install -make check +make -j 3 check ...
bash
d_bash_13321
--- +++ @@ -1,5 +1,6 @@ #!/bin/sh set -ex +hhvm --version apt-get update -y apt-get install -y wget curl git curl https://getcomposer.org/installer | hhvm -d hhvm.jit=0 --php -- /dev/stdin --install-dir=/usr/local/bin --filename=composer
bash
d_bash_13322
--- +++ @@ -8,7 +8,7 @@ rm -rf $HOME/.m2/repository/rubygems echo "Peforming cleaning" -mvn clean -Pinteg -Pdist +$MAVEN_HOME/bin/mvn clean -Pinteg -Pdist echo "*** Start Build ***"
bash
d_bash_13323
--- +++ @@ -1,5 +1,9 @@ #!/bin/bash set -e + +# fix for Python 3.7 on Travis +# https://travis-ci.community/t/build-error-for-python-3-7-on-two-different-projects/12895/3 +pip install -U importlib_metadata rm -f .coverage pip install -r requirements-dev.txt
bash
d_bash_13324
--- +++ @@ -19,7 +19,7 @@ sleep 10 -DOCKERCONTAINER_SERVICES="$(docker run --network services -e "ANOPE_UPLINK_IP=inspircd" -e "ANOPE_UPLINK_PASSWORD=password" -e "ANOPE_SERVICES_NAME=services.example.com" -d anope/anope:2.0.5)" +DOCKERCONTAINER_SERVICES="$(docker run --network services -e "ANOPE_UPLINK_IP=inspi...
bash
d_bash_13325
--- +++ @@ -8,6 +8,23 @@ set -x +current_version=`python setup.py --version` +if [[ "$TRAVIS_BRANCH" == "master" && "$TRAVIS_PULL_REQUEST" != false ]] +then + if git rev-parse $current_version + then + set +x + echo "Version $version already exists. Please update version number in setup.py be...
bash
d_bash_13326
--- +++ @@ -4,7 +4,7 @@ source $ZSHRC/prompt.zsh # set aliases after imports, to ensure they arent overridden -alias gr='cd $(git root)' +alias cr='cd $(git root)' alias less='less -S' # enable horizontal scrolling in less alias s='ssh' alias subs='filebot -get-subtitles'
bash
d_bash_13327
--- +++ @@ -17,6 +17,6 @@ HASHIDS_SALT='DEVELOPMENT-ONLY' \ PGUSER=$(whoami) \ PGDATABASE='zoomhub_development' \ - stack exec zoomhub & + stack exec zoomhub | jq & echo $! > zoomhub.pid
bash
d_bash_13328
--- +++ @@ -13,7 +13,7 @@ echo "Running redis migrations" for f in server/redis-migrations/*.js; do echo "> $f" - node -r "./babel-register" -r "dotenv/config" "$f" || exit 1 + node -r "./babel-register" -r "core-js/proposals/reflect-metadata" -r "dotenv/config" "$f" || exit 1 done echo "Updating completed...
bash
d_bash_13329
--- +++ @@ -1,6 +1,29 @@ #!/usr/bin/env bash # Grant that custom checks are working. set -eo pipefail + # shellcheck disable=SC1091 source ./build.sh + +# Lint the build script +echo "Linting the build.sh script..." check ./build.sh + +# Test that we find the correct amount of files. +echo -e "\nValidating the ...
bash
d_bash_13330
--- +++ @@ -15,6 +15,7 @@ F="$hostname"."$$".json cd "$(dirname $0)" || exit 1 +printf "%s\t%s\n" "$svcType" "$hostname" ./check_http_primary.py "$hostname" > "$F" && ./pk-import-http-prefs.php "$F" && rm -f "$F" ../bin/sslprobe "$hostname" > "$F" 2>/dev/null && ./pk-import-tls-statuses.php "$svcId" "$F" && rm ...
bash
d_bash_13331
--- +++ @@ -16,6 +16,7 @@ cmake ../ -DCMAKE_INSTALL_PREFIX=$PREFIX make install +mkdir -p "$PREFIX"/lib/pkgconfig/ cp "$PREFIX"/share/pkgconfig/eigen3.pc "$PREFIX"/lib/pkgconfig/ cd ../../..
bash
d_bash_13332
--- +++ @@ -12,4 +12,4 @@ ./scripts/generate-test-bosh-lite-manifest ./templates/$BLOBSTORE_TYPE.yml fi -./scripts/manifest_parser.rb deployments/bits-service-release-bosh-lite.yml > "../manifests/manifest.yml" +./scripts/manifest_parser.rb deployments/bits-service-release.yml > "../manifests/manifest.yml"
bash
d_bash_13333
--- +++ @@ -10,7 +10,7 @@ echo "Success: Catalogues-DB found" # Contact Gatekeeper -status_code=$(curl -s -o /dev/null -w "%{http_code}" http://sp.int3.sonata-nfv.eu:32001/) +status_code=$(curl -s -o /dev/null -w "%{http_code}" http://sp.int3.sonata-nfv.eu:32001/api) if [[ $status_code != 20* ]] ; then
bash
d_bash_13334
--- +++ @@ -17,7 +17,7 @@ export REPORT_EXIT_STATUS=1 if [ "$SSL" = "yes" ]; then - MONGODB_URI="${MONGODB_URI}/?ssl=true" + MONGODB_URI="${MONGODB_URI}/?ssl=true&sslallowinvalidcertificates=true" fi echo "Running $AUTH tests, connecting to $MONGODB_URI"
bash
d_bash_13335
--- +++ @@ -37,9 +37,16 @@ ruller /salt-source/doc/.scripts/setup-transifex-config +exc=$? + +if [ $exc -ne 0 ]; then + exit $exc +fi ruller /salt-source/doc/.scripts/update-transifex-source-translations +exc=$? ruller echo DONE +exit $exc
bash
d_bash_13336
--- +++ @@ -1 +1 @@ -WITH_CPLEX= CPLEX_ROOT_DIR= WITH_GUROBI= GUROBI_ROOT_DIR= conda build --python=3.6 conda-recipe/ +WITH_CPLEX= CPLEX_ROOT_DIR= WITH_GUROBI= GUROBI_ROOT_DIR= conda build -c ilastik-forge --python=3.6 conda-recipe/
bash
d_bash_13337
--- +++ @@ -29,14 +29,27 @@ cd wordpress-develop } +# Themes +themes() { + vvvt + cd wp-content/themes +} + # Plugins plugs() { vvvt cd wp-content/plugins } -# Themes -themes() { - vvvt - cd wp-content/themes +# +# Old Structure +# + +testPlugs() { + cd $SITES/WP\ Plugins\ -\ Test/wp-content/plugins } ...
bash
d_bash_13338
--- +++ @@ -9,7 +9,7 @@ echo "https://github.com/adoptium/temurin11-binaries/releases/download/jdk-11.0.12%2B7/OpenJDK11U-jdk_x64_linux_hotspot_11.0.12_7.tar.gz" ;; java17) - echo "https://github.com/adoptium/temurin17-binaries/releases/download/jdk17-2021-09-15-08-15-beta/OpenJDK17-jdk_x64_linux_hotspot_20...
bash
d_bash_13339
--- +++ @@ -10,7 +10,7 @@ JDK_FEATURE='10' TMP=$(curl -L jdk.java.net/${JDK_FEATURE}) -TMP="${TMP#*Most recent build: jdk-${JDK_FEATURE}-ea+}" # remove everything before the number +TMP="${TMP#*Most recent build: jdk-${JDK_FEATURE}+}" # remove everything before the number TMP="${TMP%%<*}" ...
bash
d_bash_13340
--- +++ @@ -13,6 +13,8 @@ if [ "$LANGUAGE" = "go" ]; then update_dir="src/golang" +elif ["$LANGUAGE" = "staticfile"] then + update_dir="src/staticfile" else update_dir="src/compile" fi
bash
d_bash_13341
--- +++ @@ -11,3 +11,15 @@ fi touch ${DIR}/__init__.py } + +# What's running on a port +function wop() { + cmd="lsof -i -P -n | grep LISTEN | grep :$1" + echo -e "\e[2mlsof -i -P -n | grep LISTEN | grep :$1\e[0m" + lsof -i -P -n | grep LISTEN | grep :$1 + local exitcode=$? + if [ $exitcode -...
bash
d_bash_13342
--- +++ @@ -10,7 +10,7 @@ cat ${SSL_CERT_FILE} >> /combined.pem cat ${SSL_KEY_FILE} >> /combined.pem -/opt/mongodb-bi-linux-x86_64-debian92-v${BI_CONNECTOR_VERSION}/bin/mongosqld --addr ${ADDR} --sslMode ${SSL_MODE} --sslPEMKeyFile /combined.pem --mongo-uri ${MONGO_URI} --auth --mongo-username ${SAMPLING_USER} --...
bash
d_bash_13343
--- +++ @@ -1,5 +1,5 @@ #!/bin/bash -sudo apt-get install build-essential libc6-dev-i386 qemu-system-x86 qemu-kvm +sudo apt-get install build-essential libc6-dev-i386 nasm qemu-system-x86 qemu-kvm git clone https://github.com/rust-lang/rust.git cd rust ./configure --target=i686-unknown-linux-gnu
bash
d_bash_13344
--- +++ @@ -5,9 +5,9 @@ echo "" echo "=== Generating documentation =================" -cargo doc if [ "$TRAVIS_BRANCH" == "master" ] && [ "$TRAVIS_PULL_REQUEST" == "false" ]; then + cargo doc echo "" echo "=== Uploading docs ===============" ghp-import -n target/doc
bash
d_bash_13345
--- +++ @@ -4,25 +4,41 @@ robot_uuid=$(uuidgen) -if [[ $factory_uuid ]] -then - factory_pos_x=$(cat robots/$factory_uuid/position/x) - factory_pos_y=$(cat robots/$factory_uuid/position/y) -else - factory_pos_x=$(($RANDOM % 200 - 100)) - factory_pos_y=$(($RANDOM % 200 - 100)) -fi +function gen_positio...
bash
d_bash_13346
--- +++ @@ -7,5 +7,13 @@ echo ">>> Zim found, skip ..." else echo ">>> Zim not found, clone ..." - git clone --recursive https://github.com/Eriner/zim.git $HOME/.zim + git clone https://github.com/Eriner/zim.git $HOME/.zim + + cd "$HOME/.zim" + if [[ $(zsh --version | awk '{print $2}') < 5.2.0 ]]; then + ...
bash
d_bash_13347
--- +++ @@ -33,9 +33,9 @@ cp -R po_/* po/ touch po/Makefile.in.in touch m4/Makefile.am -gettextize --force --no-changelog || exit +gettextize -c --force --no-changelog || exit aclocal || exit -libtoolize || exit -automake --add-missing --foreign || exit +libtoolize -c || exit +automake -c --add-missing --for...
bash
d_bash_13348
--- +++ @@ -2,7 +2,7 @@ set -o errexit SCRIPT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)" -sudo emerge --sync +sudo emerge-webrsync sudo emerge --update --newuse --deep @world if [[ -f $SCRIPT_DIR/make.conf ]]; then
bash
d_bash_13349
--- +++ @@ -29,11 +29,15 @@ testdeps tests } +function shell { + /bin/bash +} case $1 in collectstatic) collectstatic ;; pythondeps) pythondeps ;; ci) ci ;; + shell) shell ;; *) echo "Unknown command '$1'" >&2 exit 1
bash
d_bash_13350
--- +++ @@ -19,7 +19,7 @@ ROOTFS=$(make_temp_dir) mount_image_partition_ro "$IMAGE" 3 "$ROOTFS" -if ! no_chronos_password $rootfs; then +if ! no_chronos_password $ROOTFS; then echo "chronos password is set! Shouldn't be for release builds." exit 1 fi
bash
d_bash_13351
--- +++ @@ -11,5 +11,9 @@ find . -type f -name "*.xml" -exec sed -i '' -e $SNAPSHOT {} \; find . -type f -name "*.xml" -exec sed -i '' -e $QUALIFIER {} \; find . -type f -name "*.MF" -exec sed -i '' -e $QUALIFIER {} \; -fi + echo "Versions updated. Use git status and git diff to c...
bash
d_bash_13352
--- +++ @@ -27,6 +27,5 @@ -e CYPRESS_LUMEN_USER="${LUMEN_USER}" \ -e CYPRESS_LUMEN_PASSWORD="${LUMEN_PASSWORD}" \ -e CYPRESS_RECORD_KEY="${CYPRESS_RECORD_KEY}" \ - -e DEBUG="cypress:*" \ fe-e2e-tests run.sh fi
bash
d_bash_13353
--- +++ @@ -12,7 +12,7 @@ exit 0 fi -sudo pip install gsutil +sudo pip3 install gsutil mkdir -p ~/.creds openssl aes-256-cbc -K $encrypted_2210a3652f18_key -iv $encrypted_2210a3652f18_iv -in travis/travis-ci.json.enc -out ~/.creds/travis-ci.json -d echo "[Credentials]" > ~/.boto
bash
d_bash_13354
--- +++ @@ -1,4 +1,3 @@ # Load in NVM, even if we don't have it export NVM_DIR="$HOME/.nvm" [ -s "$NVM_DIR/nvm.sh" ] && \. "$NVM_DIR/nvm.sh" # This loads nvm -[ -s "$NVM_DIR/bash_completion" ] && \. "$NVM_DIR/bash_completion" # This loads nvm bash_completion
bash
d_bash_13355
--- +++ @@ -3,4 +3,9 @@ alias start_iocCombined="cd ~/epics-train/examples/iocBoot/iocCombined; ./st.cmd" +alias start_imagedemo="~/epics-train/tools/EPICSV4Sandbox/ntndarrayServer/bin/$EPICS_HOST_ARCH/ntndarrayServerMain IMAGE" +alias start_neutrondemo="~/epics-train/tools/EPICSV4Sandbox/neutronsDemoServer/bi...
bash
d_bash_13356
--- +++ @@ -9,7 +9,13 @@ # Your GPG ID # GPG= -if [ -z $GPG ]; then echo "######################"; echo "# FIRST USE #"; echo "######################"; echo "Please set the variable GPG to your key id"; exit 0; fi +if [ -z $GPG ]; then + echo "######################" + echo "# FIRST USE #" + ...
bash
d_bash_13357
--- +++ @@ -2,6 +2,7 @@ echo "Create keychain" security create-keychain -p $CERTIFICATE_PASSWORD electron-app-build.keychain +security default-keychain -s electron-app-build.keychain KEYCHAIN=~/Library/Keychains/electron-app-build.keychain @@ -12,7 +13,7 @@ security unlock-keychain -p $CERTIFICATE_PASSWORD ...
bash
d_bash_13358
--- +++ @@ -8,13 +8,15 @@ setup_test -mkdir -m 755 "${srcdir}/d" +srcmode=0750 +mkdir "${srcdir}/d" +chmod "${srcmode}" "${srcdir}/d" if ! $copier "${srcdir}/d/" "${dstdir}/d/" > ${logfile} ; then fail_test "copier returned failure when copying directories" fi -dstmode=$(stat -f%p "${dstdir}/d" || stat ...
bash
d_bash_13359
--- +++ @@ -5,5 +5,5 @@ git submodule update --init --recursive docker volume create --name coderunner docker volume create --name mongostore -docker-compose -p david build --force-rm -docker-compose -p david up +docker-compose build --force-rm +docker-compose up
bash
d_bash_13360
--- +++ @@ -1,5 +1,5 @@ -source /usr/local/share/chruby/chruby.sh - -RUBIES=(~/.rubies/*) - -chruby 1.9.3 +if [ -d /usr/local/share/chruby ]; then + source /usr/local/share/chruby/chruby.sh + RUBIES=(~/.rubies/*) + chruby 1.9 +fi
bash
d_bash_13361
--- +++ @@ -1,4 +1,5 @@ npm install -g bower +npm install -g tern npm install -g eslint npm install -g gulp npm install -g git+https://github.com/ramitos/jsctags.git
bash
d_bash_13362
--- +++ @@ -33,3 +33,6 @@ # show disks on desk defaults write com.apple.finder ShowMountedServersOnDesktop 1 + +# enable retina support on non-retina mac +sudo defaults write /Library/Preferences/com.apple.windowserver DisplayResolutionEnabled -bool YES
bash
d_bash_13363
--- +++ @@ -2,7 +2,7 @@ set -e -IOSSDK_VER="6.1" +IOSSDK_VER="7.0" # xcodebuild -showsdks
bash
d_bash_13364
--- +++ @@ -6,7 +6,7 @@ echo "https://github.com/bell-sw/Liberica/releases/download/8u342+7/bellsoft-jdk8u342+7-linux-amd64.tar.gz" ;; java11) - echo "https://github.com/bell-sw/Liberica/releases/download/11.0.15.1+2/bellsoft-jdk11.0.15.1+2-linux-amd64.tar.gz" + echo "https://github.com/bell-sw/Liberica/r...
bash
d_bash_13365
--- +++ @@ -20,4 +20,9 @@ # Install homebrew packages brew install grc coreutils spark +# Installing vim because the apple-supplied vim is outdated +# Furthermore has('macunix') does not work in apple vim +# That breaks latex-suite mac specifics +brew install vim + exit 0
bash
d_bash_13366
--- +++ @@ -9,7 +9,7 @@ # Extraction of similarity search report extract_similarity_search_report_dir=$tool_dir/extract/extract_similarity_search_report -docker build -t asaim/extract-similarity-search-report $extract_similarity_search_report_dir +sudo docker build -t asaim/extract-similarity-search-report $extra...
bash
d_bash_13367
--- +++ @@ -7,4 +7,4 @@ exp prepare-detached-build --platform ios --skipXcodeConfig 1 popd -echo "Finished installing and cleaning up dependencies. Be sure and serve or restart your project with: exp r -c" +echo "Finished installing and cleaning up dependencies. Be sure to restart your project in exp or XDE."
bash
d_bash_13368
--- +++ @@ -1,4 +1,5 @@ -export ANDROID_HOME=$HOME/dev/android/sdk +export ANDROID_HOME=$HOME/dev/android/adt/sdk export NDK_HOME=$HOME/dev/android/ndk export ANDROID_NDK_HOME=$NDK_HOME export PATH=$PATH:$ANDROID_HOME/tools:$ANDROID_HOME/platform-tools:$NDK_HOME +export PATH=$PATH:$ANDROID_HOME/../../android-studi...
bash
d_bash_13369
--- +++ @@ -3,4 +3,4 @@ # called by Travis CI php -dphar.readonly=0 ./utils/make-phar.php easyengine.phar --quite > /dev/null -php easyengine.phar cli version +sudo php easyengine.phar cli version
bash
d_bash_13370
--- +++ @@ -6,7 +6,7 @@ g++ --std=c++11 opencv_warp_affine.cpp -L${OPENCV_PREFIX}/lib/ -I${OPENCV_PREFIX}/include -lopencv_core -lopencv_imgproc -lopencv_video -lopencv_imgcodecs -o opencv_warp_affine echo "Running LK Optical Flow" -./opencv_py_optical_flow ../../utils/images/rgb.png ../../utils/images/rgb.png ...
bash
d_bash_13371
--- +++ @@ -15,8 +15,8 @@ docker build -t "$image:$version-dind" "$version/dind" docker build -t "$image:$version-git" "$version/git" if [ "$version" = 'master' ]; then - docker tag -f "$image:$version" "$image:latest" - docker tag -f "$image:$version-dind" "$image:dind" - docker tag -f "$image:$version-git"...
bash
d_bash_13372
--- +++ @@ -7,7 +7,6 @@ if [ ! -f ~/.gnupg/gpg-agent.conf ]; then touch ~/.gnupg/gpg-agent.conf - echo "use-standard-socket" >> ~/.gnupg/gpg-agent.conf echo "default-cache-ttl 3600" >> ~/.gnupg/gpg-agent.conf echo "max-cache-ttl 3600" >> ~/.gnupg/gpg-agent.conf echo "pinentry-program /usr/local/bin/pi...
bash
d_bash_13373
--- +++ @@ -35,10 +35,12 @@ user: $POSTGRES_USER_1 password: $POSTGRES_PASS_1 host: $POSTGRES_HOST_1 + sslmode: disable EOF cat > localhost-$(($PORT_BASE + 2))/database.yaml << EOF name: psycopg2 args: database: $POSTGRES_DB_2 + sslmode: disable EOF
bash
d_bash_13374
--- +++ @@ -8,4 +8,3 @@ wget "http://download.mono-project.com/archive/${MONO_VER}/macos-10-x86/MonoFramework-MDK-${MONO_VER}.macos10.xamarin.x86.pkg" sudo installer -pkg "MonoFramework-MDK-${MONO_VER}.macos10.xamarin.x86.pkg" -target / -export MONO_PATH="/Library/Frameworks/Mono.framework/Libraries/mono/4.0/"
bash
d_bash_13375
--- +++ @@ -1,3 +1,3 @@ function rubocop_changed_in_branch() { - rubocop `git_files_changed_vs_origin_master` || return $? + rubocop $@ `git_files_changed_vs_origin_master` || return $? }
bash
d_bash_13376
--- +++ @@ -2,8 +2,20 @@ export NODE_ENV=development +SERVICE_NAME=sur-price-me + +LOG_PATH="/var/log/chrishic/$SERVICE_NAME" +LOG_FILENAME="$LOG_PATH/$SERVICE_NAME.log" + +# If there is an existing log file, save it (by renaming) +if [ -f "$LOG_FILENAME" ]; then + # Get the current date/time stamp + d=$(d...
bash
d_bash_13377
--- +++ @@ -12,13 +12,13 @@ clean_up echo "compiling lightyear tests..." -idris Test.idr --typeintype -p lightyear -o test || die "* could not compile tests *" +idris Test.idr -p lightyear -o test || die "* could not compile tests *" echo "compiled OK, running lightyear tests..." timeout 5s ./test > output ||...
bash
d_bash_13378
--- +++ @@ -20,6 +20,13 @@ else bin/dockerize.sh rm frozen.txt - docker run -p 4096:4096 -e STYLE_HOST=localhost -e STYLE_PORT=4097 -e LOG_LEVEL=INFO carto-renderer + + if [ 'Darwin' = "$(uname)" ]; then + OPTS=(-p 4096:4096 -e 'STYLE_HOST=docker.for.mac.localhost') + else + OPTS...
bash
d_bash_13379
--- +++ @@ -11,7 +11,7 @@ package_version=${fatjar_version%-*} cd $atom_commons -npm version $package_version +npm --no-git-tag-version version $package_version npm install cd $atom_package
bash
d_bash_13380
--- +++ @@ -20,7 +20,7 @@ alias caly='cal `date +%Y`' -alias diffpatch='diff -uprN' +alias diffpatch='diff -Npurd' alias diffgit='\git diff --no-index' alias diffgitcw='\git diff --no-index --color-words=.'
bash
d_bash_13381
--- +++ @@ -1,8 +1,11 @@ #!/bin/bash + project_name=${PWD##*/} +ret=0 if ! grep $project_name README.md 1>/dev/null; then echo "$project_name was not found in README.md" + ret=1 fi required_files=('CONTRIBUTING.md' 'COPYING.txt' 'README.md' 'TERMS.md') @@ -10,8 +13,8 @@ for file in "${required_files...
bash
d_bash_13382
--- +++ @@ -44,6 +44,6 @@ shift fi -testr run --parallel --subunit $($(dirname $0)/tests2skip.py $skip_file $@) | tee >( subunit2junitxml --output-to=tempest.xml ) | $(dirname $0)/subunit-trace.py --no-failure-debug -f +testr run --parallel --subunit $($(dirname $0)/tests2skip.py $skip_file $@) | tee >( subun...
bash
d_bash_13383
--- +++ @@ -1,13 +1,23 @@ cd spec/dummy export BUNDLE_GEMFILE=$PWD/Gemfile -xvfb-run -a bundle exec cucumber +echo "cucumber - poltergeist" +xvfb-run -a export CAPYBARA_DRIVER=poltergeist && bundle exec cucumber EXIT_1=$? -xvfb-run -a bundle exec rspec +echo "cucumber - webkit" +xvfb-run -a export CAPYBARA_DRI...
bash
d_bash_13384
--- +++ @@ -5,7 +5,7 @@ PROMPT=' %{$fg[magenta]%}%n%{$reset_color%} at %{$fg[yellow]%}%m%{$reset_color%} in %{$fg_bold[green]%}${PWD/#$HOME/~}%{$reset_color%}$(git_prompt_info) -$(prompt_char) ' +%(?,%{%F{white}%},%{%F{red}%})$(prompt_char)%{$reset_color%} ' ZSH_THEME_GIT_PROMPT_PREFIX=" on %{$fg[magenta]%}" ...
bash
d_bash_13385
--- +++ @@ -7,7 +7,7 @@ # cd ../processors -sbt 'run-main edu.arizona.sista.processors.bionlp.ner.KBGenerator ../bioresources/ner_kb.config ../bioresources/src/main/resources/org/clulab/reach/kb/ ../bioresources/src/main/resources/org/clulab/reach/kb/ner' +sbt 'run-main org.clulab.processors.bionlp.ner.KBGenerato...
bash
d_bash_13386
--- +++ @@ -6,6 +6,13 @@ # # makecdfs FreeBSD-2.1.5 /a/cdrom-dist /a/cdimage.cd0 "Walnut Creek CDROM \ # 1-510-674-0783 FAX 1-510-674-0821" + +if [ "$1" = "-b" ]; then + bootable="-b floppies/boot.flp -c floppies/boot.catalog" + shift +else + bootable="" +fi if [ $# -lt 4 ]; then echo "usage: $0 \"cd-title\"...
bash
d_bash_13387
--- +++ @@ -1,5 +1,25 @@ #!/bin/bash + +WAIT_SERVICE_READY=10 + +function check_service(){ + status=$($WORKDIR/control status) + echo $status | grep -q "stoped" + if [ $? -eq 0 ] ; then + return 1 + else + return 0 + fi +} + tar -zxf $PACKDIR/$PACKFILE -C $WORKDIR cp $CONFIGDIR/$CONFIGFILE $WORKDIR $WO...
bash
d_bash_13388
--- +++ @@ -10,16 +10,21 @@ if [ "$TRAVIS_REPO_SLUG" == "alphagov/govuk_elements" ] && [ "$TRAVIS_PULL_REQUEST" == "false" ] && [ "$TRAVIS_BRANCH" == "master" ]; then # get the version from the version file VERSION_TAG="$(cat VERSION.txt)" - echo "Using the most recent tag: $VERSION_TAG and creating a latest-...
bash
d_bash_13389
--- +++ @@ -6,6 +6,11 @@ eval $(dircolors ~/.zsh/plugins/dircolors-solarized/dircolors.256dark) fi export GREP_OPTIONS="--color" + +# Use pip without requiring virtualenv +function syspip() { + PIP_REQUIRE_VIRTUALENV="" pip "$@" +} # cd to git root directory alias cdgr='cd "$(git root)"'
bash
d_bash_13390
--- +++ @@ -1,5 +1,7 @@ #!/bin/bash if mdata-get mail_smarthost 1>/dev/null 2>&1; then + echo "$(hostname)" > /opt/local/etc/nullmailer/defaulthost + if mdata-get mail_adminaddr 1>/dev/null 2>&1; then mdata-get mail_adminaddr > /opt/local/etc/nullmailer/adminaddr fi
bash
d_bash_13391
--- +++ @@ -18,6 +18,7 @@ echo "Run Tests and Sonar: ${SONAR}" # Run Test on unrebased branch ./gradlew -Dsonar.host.url=${SONAR} test sonarqube +gradle -Dsonar.host.url=${SONAR} test sonarqube # ./gradlew assemble # cp build/libs/spring-music.war ../build
bash
d_bash_13392
--- +++ @@ -11,7 +11,6 @@ echo 'NGINX_MODULES_HTTP="access auth_basic autoindex charset fastcgi \ gzip gzip_static limit_req map proxy rewrite scgi ssi stub_status"' >> /etc/portage/make.conf echo 'NGINX_MODULES_MAIL=""' >> /etc/portage/make.conf - update_keywords 'www-servers/nginx' '+~amd...
bash
d_bash_13393
--- +++ @@ -1,4 +1,4 @@ -function gi() { curl http://gitignore.io/api/$@ ;} +function gi() { curl http://www.gitignore.io/api/$@ ;} _gitignireio_get_command_list() { curl -s http://gitignore.io/api/list | tr "," "\n"
bash
d_bash_13394
--- +++ @@ -10,7 +10,8 @@ emmake make && buildjs "16" "build-no-tables-utf16.js" && -buildjs "16" "build-tables-embeded-root-utf16.js" "--embed-files tables@/" && +#buildjs "16" "build-no-tables-wasm-utf16.js" "-s WASM=1" && +#buildjs "16" "build-tables-embeded-root-utf16.js" "--embed-files tables@/" && echo "...
bash
d_bash_13395
--- +++ @@ -21,7 +21,7 @@ for i in matrix-js-sdk matrix-react-sdk do depver=`cat package.json | jq -r .dependencies[\"$i\"]` - latestver=`yarn info -s $i version` + latestver=`yarn info -s $i dist-tags.next` if [ "$depver" != "$latestver" ] then echo "The latest version of $i is $lates...
bash
d_bash_13396
--- +++ @@ -1,4 +1,4 @@ -for dir in /usr/bin /usr/sbin; do +for dir in /usr/bin /usr/sbin /sbin /bin; do if test -d "$dir" && ! grep -q -e "^${dir}:" -e ":${dir}:" -e ":${dir}" <<< $PATH; then PATH="${dir}:${PATH}" fi
bash
d_bash_13397
--- +++ @@ -13,11 +13,11 @@ composer install --no-scripts 2>&1 fi -echo "** Dumping assets..." -php app/console assetic:dump -vvv - echo "** Clearing cache..." php app/console cache:clear +echo "** Dumping assets..." +php app/console assetic:dump + echo "** Generating database hydrators..." php app/cons...
bash
d_bash_13398
--- +++ @@ -1,11 +1,5 @@ #!/usr/bin/env bash sudo apt-get -qq update && -sudo apt-get -qq install gettext xorg-dev libx11-xcb-dev libxcb-util0-dev +sudo apt-get -qq install gettext xorg-dev libx11-xcb-dev libxcb-util0-dev libboost-all-dev -git clone --recursive https://github.com/boostorg/boost.git -cd boost -s...
bash
d_bash_13399
--- +++ @@ -1,3 +1,12 @@ #!/bin/bash -wget http://sourceforge.net/projects/fis-gtm/files/GT.M%20Installer/v0.12/gtminstall -/bin/sh ./gtminstall + +# +# wget http://sourceforge.net/projects/fis-gtm/files/GT.M%20Installer/v0.12/gtminstall +# /bin/sh ./gtminstall +# + +wget -q -N http://sourceforge.net/projects/fis-g...
bash